Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSRuleList

    public interface CSSRuleList

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules.

The items in the `CSSRuleList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`int` | `getLength()` The number of `CSSRules` in the list.
`CSSRule` | `item(int index)` Used to retrieve a CSS rule by ordinal index.

Method Detail

### getLength

    int getLength()

  The number of `CSSRules` in the list. The range of valid child rule indices is `0` to `length-1` inclusive.

### item

    CSSRule item(int index)

  Used to retrieve a CSS rule by ordinal index. The order in this collection represents the order of the rules in the CSS style sheet. If index is greater than or equal to the number of rules in the list, this returns `null`.

  Parameters:
    `indexIndex` - into the collection
  Returns:
    The style rule at the `index` position in the `CSSRuleList`, or `null` if that is not a valid index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.